/* Main CSS styling of the page */
body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background: linear-gradient(to right, #0d0c50, #ae80f8);
    font-family: Arial, sans-serif;
    overflow: hidden;
}

/* The CSS for the submission box/form */
.container {
    background: rgba(255, 255, 255, 0.9);
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    text-align: center;
    width: 400px;
    position: relative;
}

/* The Css for the timer */
.timer {
    font-size: 18px;
    color: rgb(255, 0, 0);
    font-weight: bold;
    margin-bottom: 10px;
}

/* Text box/textarea that looks like blacboard's submission box */
textarea {
    width: calc(100% - 20px);
    height: 100px;
    margin: 10px auto;
    padding: 10px;
    border: 1px solid #ccc;
    resize: none;
    background: rgba(255, 255, 255, 0.8);
    display: block;
}

/* The Css for the button to make sure it's positioned correctly in the beginning */
.button-wrapper {
    display: flex;
    justify-content: center;
    position: relative;
    height: 50px;
}

/* More CSS for the button for styling purposes */
button {
    padding: 10px 20px;
    background-color: #ffffff;
    color: rgb(0, 0, 0);
    border: none;
    cursor: pointer;
    position: fixed;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
}

/* Incase somehow you manage to hover over the submission button, it will change colour like on blackboard xD */
button:hover {
    background-color: #000000;
    color: #ffffff;
}
